
Figure - 需求 Requirement #112195
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

【Locked需求】Launcher UI需求-联动需求
2022-09-28 14:54 - 方案组-RD3_CDTS 王浩云

Status: 完成 Closed Start date: 2022-09-28

Priority: Normal Due date: 2022-10-08

Assignee: CD FW-王伟 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

4.1.8.1音量调节

1. 调节入口：

  1. 控制中心：调节媒体音量，档位：0~39，音量范围：-99dB~0dB（即0~99dB）

  2. setting设置（follow安卓12，不带modem版本选项）：

    1. 保留：调节媒体音，闹铃音，按键音，以及通知音

    2. 取消通话音，手机铃声，勿扰模式来电铃声选择等功能

2. 声音调整策略

  1. 本地调整的音量（媒体音，通知音）档位，需要通过以太网同步至中控，作为audio调整及调用请求，传输的类型走媒体音通道

  2. 静音也需要通过以太网接口，同步至中控，作为audio调整及调用请求。

  3. 调整后的音量档位，需要走源生机制，发送至BSP侧，走A2B

-------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------

4.1.8.2背光调节

1. 背光调节入口

  1.   在“setting”中，增加是否打开自动背光的按钮开关，开光状态为开启，自动背光功能开启

  2. 在“控制中心”新增自动背光的快捷开关，打开时，自动背光功能开启，关闭时，功能关闭

  3. 支持手动调节屏幕亮度，当位1-100，亮度范围10-1000cd

2. 副屏与中控联动需求

  1. 支持通过中控调节副屏的屏幕亮度，并且通过以太网通信方式，将亮度档位传给副屏

  2. 支持通过中控开启/关闭副屏的自动背光功能，并且通过以太网通信方式

  3. 通信优先级：根据触发的时间先后排序

  4. 传输方向：主屏和副屏双向交互，主屏可控制副屏的亮度调节，副屏也需反馈自身调节的档位值和开关状态

-------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------具体文档链接如下：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#tEBoHr

【注】：后期CR定点后，会将此票关联整体接口需求票

Related issues:

Related to Figure - 开发 Dev # 112367: [背光调节]支持手动调节屏幕亮度，当位1... 完成 Closed 2022-10-08 2022-10-22

Related to Figure - 开发 Dev # 112369: [MM][音量调节]PRD分拆实现 New 2022-10-08 2022-10-28

Related to Figure - 开发 Dev # 112368: [FW][音量调节]PRD分拆实现 解决 Resolved 2022-10-08 2022-10-28

History

#1 - 2022-10-08 14:15 - CD FW-王伟

4.1.8.2背光调节

自动背光功能，AF侧已经分拆到中控与副屏之间的联调接口中，

上层将亮度等级从255调整成100也已经入库，提交如下：https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/147274
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#tEBoHr
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/147274


另外需要建一个票给BSP，实现真实亮度的100等分：3. 支持手动调节屏幕亮度，当位1-100，亮度范围10-1000cd

#2 - 2022-10-08 14:20 - CD FW-王伟

4.1.8.1音量调节

1. 调节入口：

1. 控制中心：调节媒体音量，档位：0~39，音量范围：-99dB~0dB（即0~99dB）

2. setting设置（follow安卓12，不带modem版本选项）：

1. 保留：调节媒体音，闹铃音，按键音，以及通知音

2. 取消通话音，手机铃声，勿扰模式来电铃声选择等功能

2. 声音调整策略

1. 本地调整的音量（媒体音，通知音）档位，需要通过以太网同步至中控，作为audio调整及调用请求，传输的类型走媒体音通道

2. 静音也需要通过以太网接口，同步至中控，作为audio调整及调用请求。

3. 调整后的音量档位，需要走源生机制，发送至BSP侧，走A2B

需要分别给FW和MM建立开发任务。

#3 - 2022-10-08 14:26 - CD FW-王伟

此需求功能非大功能开发，不需要做概要设计和详细设计，并且我都已经分拆出开发票，开发票也已经做好了关联。

所以关闭此票。

#4 - 2022-10-08 14:27 - CD FW-王伟

- Due date set to 2022-10-08

- Status changed from New to 完成 Closed

- % Done changed from 0 to 100

已经关联的票如下：

关联到 Figure - 开发 Dev #112367: [背光调节]支持手动调节屏幕亮度，当位1-100，亮度范围10-1000cd

关联到 Figure - 开发 Dev #112369: [MM][音量调节]PRD分拆实现

关联到 Figure - 开发 Dev #112368: [FW][音量调节]PRD分拆实现
